Index: /extensions/gally/gally-default/template/about.tpl
===================================================================
--- /extensions/gally/gally-default/template/about.tpl	(revision 11023)
+++ /extensions/gally/gally-default/template/about.tpl	(revision 11024)
@@ -4,6 +4,5 @@
     <ul class="categoryActions">
       <li>
-        <a id="icon_home" class="button" href="{$U_HOME}" title="{'return to homepage'|@translate}">
-          <!-- <img src="{$themeconf.icon_dir}/home.png" class="button" alt="{'Home'|@translate}"/>-->
+        <a id="icon_home" class="button" href="{$U_HOME}" title="{'return to homepage'|@translate}">          
         </a>
       </li>
Index: /extensions/gally/gally-default/template/comments.tpl
===================================================================
--- /extensions/gally/gally-default/template/comments.tpl	(revision 11023)
+++ /extensions/gally/gally-default/template/comments.tpl	(revision 11024)
@@ -4,5 +4,5 @@
   <div class="titrePage">
     <ul class="categoryActions">
-      <li><a id="icon_home" class="button" href="{$U_HOME}" title="{'Home'|@translate}"><!-- <img src="{$themeconf.icon_dir}/home.png" class="button" alt="{'Home'|@translate}"/>--> </a></li>
+      <li><a id="icon_home" class="button" href="{$U_HOME}" title="{'Home'|@translate}"></a></li>
     </ul>
     <h2>{'User comments'|@translate}</h2>
@@ -18,5 +18,5 @@
       <li><div class="property">{'Author'|@translate}</div><input type="text" name="author" value="{$F_AUTHOR}" /></li>
 
-      <li><div class="property">{'Category'|@translate}</div>
+      <li><div class="property">{'Album'|@translate}</div>
         <select name="cat">
           <option value="0">------------</option>
Index: /extensions/gally/gally-default/template/header.tpl
===================================================================
--- /extensions/gally/gally-default/template/header.tpl	(revision 11023)
+++ /extensions/gally/gally-default/template/header.tpl	(revision 11024)
@@ -20,10 +20,10 @@
   {/if}
 
-  {if (isset($REVERSE) and $REVERSE and $PAGE_TITLE == l10n('home'))}
+  {if (isset($REVERSE) and $REVERSE and $PAGE_TITLE == l10n('Home'))}
     <title>{$GALLERY_TITLE} | {$PAGE_TITLE}</title>
   {else}
     <title>{$PAGE_TITLE} | {$GALLERY_TITLE}</title>
   {/if}
-  <!-- <link rel="shortcut icon" type="image/x-icon" href="{$ROOT_URL}template-common/favicon.ico"> -->
+
 
   <link rel="start" title="{'Home'|@translate}" href="{$U_HOME}" >
Index: /extensions/gally/gally-default/template/identification.tpl
===================================================================
--- /extensions/gally/gally-default/template/identification.tpl	(revision 11023)
+++ /extensions/gally/gally-default/template/identification.tpl	(revision 11024)
@@ -5,9 +5,9 @@
   <div class="titrePage">
     <ul class="categoryActions">
-      <li><a id="icon_lost_password" class="button" href="{$U_LOST_PASSWORD}" title="{'Forgot your password?'|@translate}"><!-- <img src="{$ROOT_URL}{$themeconf.icon_dir}/lost_password.png" class="button" alt="{'Forgot your password?'|@translate}">--> </a></li>
+      <li><a id="icon_lost_password" class="button" href="{$U_LOST_PASSWORD}" title="{'Forgot your password?'|@translate}"> </a></li>
       {if isset($U_REGISTER) }
-      <li><a id="icon_register" class="button" href="{$U_REGISTER}" title="{'Create a new account'|@translate}"><!-- <img src="{$ROOT_URL}{$themeconf.icon_dir}/register.png" class="button" alt="{'Register'|@translate}"/> --></a></li>
+      <li><a id="icon_register" class="button" href="{$U_REGISTER}" title="{'Create a new account'|@translate}"></a></li>
       {/if}
-      <li><a id="icon_home" class="button" href="{$U_HOME}" title="{'Go through the gallery as a visitor'|@translate}"><!-- <img src="{$ROOT_URL}{$themeconf.icon_dir}/home.png" class="button" alt="{'Home'|@translate}"/> --></a></li>
+      <li><a id="icon_home" class="button" href="{$U_HOME}" title="{'Home'|@translate}"></a></li>
     </ul>
     <h2>{'Identification'|@translate}</h2>
@@ -53,7 +53,7 @@
   <p>
     {if isset($U_REGISTER) }
-    <a id="icon_register2" class="button" href="{$U_REGISTER}" title="{'Register'|@translate}"><!-- <img src="{$ROOT_URL}{$themeconf.icon_dir}/register.png" class="button" alt="{'Register'|@translate}"> {'Register'|@translate}--></a>
+    <a id="icon_register2" class="button" href="{$U_REGISTER}" title="{'Register'|@translate}"></a>
     {/if}
-    <a id="icon_lost_password2" class="button" href="{$U_LOST_PASSWORD}" title="{'Forgot your password?'|@translate}"><!-- <img src="{$ROOT_URL}{$themeconf.icon_dir}/lost_password.png" class="button" alt="{'Forgot your password?'|@translate}"> {'Forgot your password?'|@translate} --></a>
+    <a id="icon_lost_password2" class="button" href="{$U_LOST_PASSWORD}" title="{'Forgot your password?'|@translate}"></a>
   </p>
 
Index: /extensions/gally/gally-default/template/index.tpl
===================================================================
--- /extensions/gally/gally-default/template/index.tpl	(revision 11023)
+++ /extensions/gally/gally-default/template/index.tpl	(revision 11024)
@@ -30,40 +30,37 @@
 
         {if isset($favorite) }
-        <li><a id="icon_delall_favorite" class="button" href="{$favorite.U_FAVORITE}" title="{'delete all images from your favorites'|@translate}">
-          <!-- <img src="{$favorite.FAVORITE_IMG}" class="button" alt="favorite" title="{'delete all images from your favorites'|@translate}">- --></a></li>
+        <li><a id="icon_delall_favorite" class="button" href="{$favorite.U_FAVORITE}" title="{'delete all photos from your favorites'|@translate}"></a></li>
         {/if}
 
         {if isset($U_CADDIE) }
-        <li><a id="icon_caddie" class="button" href="{$U_CADDIE}" title="{'add to caddie'|@translate}">
-          <!-- <img src="{$ROOT_URL}{$themeconf.icon_dir}/caddie_add.png" class="button" alt="{'caddie'|@translate}"/> --> </a></li>
+        <li><a id="icon_caddie" class="button" href="{$U_CADDIE}" title="{'caddie'|@translate}"></a></li>
         {/if}
 
         {if isset($U_EDIT) }
-        <li><a id="icon_category_edit" class="button" href="{$U_EDIT}" title="{'edit category informations'|@translate}">
-          <!-- <img src="{$ROOT_URL}{$themeconf.icon_dir}/category_edit.png" class="button" alt="{'edit'|@translate}"/> --></a></li>
+        <li><a id="icon_category_edit" class="button" href="{$U_EDIT}" title="{'edit'|@translate}"></a></li>
         {/if}
 
         {if isset($U_SEARCH_RULES) }
-        <li><a id="icon_search_rules" class="button" href="{$U_SEARCH_RULES}" style="border:none;" onclick="popuphelp(this.href); return false;" title="{'Search rules'|@translate}" rel="nofollow"><!-- <img src="{$ROOT_URL}{$themeconf.icon_dir}/search_rules.png" class="button" alt="(?)"> --></a></li>
+        <li><a id="icon_search_rules" class="button" href="{$U_SEARCH_RULES}" style="border:none;" onclick="popuphelp(this.href); return false;" title="{'Search rules'|@translate}" rel="nofollow"></a></li>
         {/if}
 
         {if isset($U_SLIDESHOW) }
-        <li><a id="icon_start_slideshow" class="button" href="{$U_SLIDESHOW}" title="{'slideshow'|@translate}" rel="nofollow"><!-- <img src="{$ROOT_URL}{$themeconf.icon_dir}/start_slideshow.png" class="button" alt="{'slideshow'|@translate}"/> --></a></li>
+        <li><a id="icon_start_slideshow" class="button" href="{$U_SLIDESHOW}" title="{'slideshow'|@translate}" rel="nofollow"></a></li>
         {/if}
 
         {if isset($U_MODE_FLAT) }
-        <li><a id="icon_flat" class="button" href="{$U_MODE_FLAT}" title="{'display all elements in all sub-categories'|@translate}" rel="nofollow"><!-- <img src="{$ROOT_URL}{$themeconf.icon_dir}/flat.png" class="button" alt="{'display all elements in all sub-categories'|@translate}"> --></a></li>
+        <li><a id="icon_flat" class="button" href="{$U_MODE_FLAT}" title="{'display all photos in all sub-albums'|@translate}" rel="nofollow"></li>
         {/if}
 
         {if isset($U_MODE_NORMAL) }
-        <li><a id="icon_normal_mode" class="button" href="{$U_MODE_NORMAL}" title="{'return to normal view mode'|@translate}"><!-- <img src="{$ROOT_URL}{$themeconf.icon_dir}/normal_mode.png" class="button" alt="{'return to normal view mode'|@translate}"> --></a></li>
+        <li><a id="icon_normal_mode" class="button" href="{$U_MODE_NORMAL}" title="{'return to normal view mode'|@translate}"></a></li>
         {/if}
 
         {if isset($U_MODE_POSTED) }
-        <li><a id="icon_calendar" class="button" href="{$U_MODE_POSTED}" title="{'display a calendar by posted date'|@translate}" rel="nofollow"><!-- <img src="{$ROOT_URL}{$themeconf.icon_dir}/calendar.png" class="button" alt="{'display a calendar by posted date'|@translate}"> --></a></li>
+        <li><a id="icon_calendar" class="button" href="{$U_MODE_POSTED}" title="{'display a calendar by posted date'|@translate}" rel="nofollow"></a></li>
         {/if}
 
         {if isset($U_MODE_CREATED) }
-        <li><a id="icon_calendar_created" class="button" href="{$U_MODE_CREATED}" title="{'display a calendar by creation date'|@translate}" rel="nofollow"><!-- <img src="{$ROOT_URL}{$themeconf.icon_dir}/calendar_created.png" class="button" alt="{'display a calendar by creation date'|@translate}"> --></a></li>
+        <li><a id="icon_calendar_created" class="button" href="{$U_MODE_CREATED}" title="{'display a calendar by creation date'|@translate}" rel="nofollow"></a></li>
         {/if}
 
@@ -103,5 +100,5 @@
 
   {if !empty($category_search_results) }
-  <div style="font-size:16px;text-align:left;margin:10px">{'Category results for'|@translate} <strong>{$QUERY_SEARCH}</strong> :
+  <div style="font-size:16px;text-align:left;margin:10px">{'Album results for'|@translate} <strong>{$QUERY_SEARCH}</strong> :
     <em><strong>
     {foreach from=$category_search_results item=res name=res_loop}
Index: /extensions/gally/gally-default/template/mail/text/html/cat_group_info.tpl
===================================================================
--- /extensions/gally/gally-default/template/mail/text/html/cat_group_info.tpl	(revision 11023)
+++ /extensions/gally/gally-default/template/mail/text/html/cat_group_info.tpl	(revision 11024)
@@ -3,5 +3,5 @@
 <p>{$IMG_URL}</p>
 <p>{'Hello,'|@translate}</p>
-<p>{'Come to discover the category:'|@translate} <a href="{$LINK}">{$CAT_NAME}</a></p>
+<p>{'Discover album:'|@translate} <a href="{$LINK}">{$CAT_NAME}</a></p>
 <p>{$CPL_CONTENT}</p>
 <p>{'See you soon.'|@translate}</p>
Index: /extensions/gally/gally-default/template/mail/text/html/index.php
===================================================================
--- /extensions/gally/gally-default/template/mail/text/html/index.php	(revision 11023)
+++ /extensions/gally/gally-default/template/mail/text/html/index.php	(revision 11024)
@@ -1,7 +1,7 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based picture gallery                                  |
+// | Piwigo - a PHP based photo gallery                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
 // | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
 // | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
Index: /extensions/gally/gally-default/template/mail/text/html/notification_by_mail.tpl
===================================================================
--- /extensions/gally/gally-default/template/mail/text/html/notification_by_mail.tpl	(revision 11023)
+++ /extensions/gally/gally-default/template/mail/text/html/notification_by_mail.tpl	(revision 11024)
@@ -16,8 +16,8 @@
 {/if}
 {if isset($content_new_elements_single)}
-<p>{'New elements were added'|@translate} {'on'|@translate} {$content_new_elements_single.DATE_SINGLE}.</p>
+<p>{'New photos were added'|@translate} {'on'|@translate} {$content_new_elements_single.DATE_SINGLE}.</p>
 {/if}
 {if isset($content_new_elements_between)}
-<p>{'New elements were added'|@translate} {'between'|@translate} {$content_new_elements_between.DATE_BETWEEN_1} {'and'|@translate} {$content_new_elements_between.DATE_BETWEEN_2}.</p>
+<p>{'New photos were added'|@translate} {'between'|@translate} {$content_new_elements_between.DATE_BETWEEN_1} {'and'|@translate} {$content_new_elements_between.DATE_BETWEEN_2}.</p>
 {/if}
 
Index: /extensions/gally/gally-default/template/mail/text/index.php
===================================================================
--- /extensions/gally/gally-default/template/mail/text/index.php	(revision 11023)
+++ /extensions/gally/gally-default/template/mail/text/index.php	(revision 11024)
@@ -1,7 +1,7 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based picture gallery                                  |
+// | Piwigo - a PHP based photo gallery                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
 // | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
 // | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
Index: /extensions/gally/gally-default/template/mail/text/plain/cat_group_info.tpl
===================================================================
--- /extensions/gally/gally-default/template/mail/text/plain/cat_group_info.tpl	(revision 11023)
+++ /extensions/gally/gally-default/template/mail/text/plain/cat_group_info.tpl	(revision 11024)
@@ -1,5 +1,5 @@
 {'Hello,'|@translate}
 
-{'Come to discover the category:'|@translate} {$CAT_NAME}
+{'Discover album:'|@translate} {$CAT_NAME}
 {$LINK}
 
Index: /extensions/gally/gally-default/template/mail/text/plain/footer.tpl
===================================================================
--- /extensions/gally/gally-default/template/mail/text/plain/footer.tpl	(revision 11023)
+++ /extensions/gally/gally-default/template/mail/text/plain/footer.tpl	(revision 11024)
@@ -1,3 +1,4 @@
 
 ------------------------------------------------------------------------------
-{'Contact'|@translate} {$GALLERY_URL} - {'Contact'|@translate} Piwigo {$VERSION} - {'Contact'|@translate} {$MAIL}
+{'Sent by'|@translate} "{$GALLERY_TITLE}" {$GALLERY_URL} - {'Contact'|@translate} {$MAIL} 
+{'Powered by'|@translate} Piwigo {$VERSION}
Index: /extensions/gally/gally-default/template/mail/text/plain/index.php
===================================================================
--- /extensions/gally/gally-default/template/mail/text/plain/index.php	(revision 11023)
+++ /extensions/gally/gally-default/template/mail/text/plain/index.php	(revision 11024)
@@ -1,7 +1,7 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based picture gallery                                  |
+// | Piwigo - a PHP based photo gallery                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
 // | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
 // | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
Index: /extensions/gally/gally-default/template/mail/text/plain/notification_by_mail.tpl
===================================================================
--- /extensions/gally/gally-default/template/mail/text/plain/notification_by_mail.tpl	(revision 11023)
+++ /extensions/gally/gally-default/template/mail/text/plain/notification_by_mail.tpl	(revision 11024)
@@ -14,8 +14,8 @@
 {/if}
 {if isset($content_new_elements_single)}
-{'New elements were added'|@translate} {'on'|@translate} {$content_new_elements_single.DATE_SINGLE}.
+{'New photos were added'|@translate} {'on'|@translate} {$content_new_elements_single.DATE_SINGLE}.
 {/if}
 {if isset($content_new_elements_between)}
-{'New elements were added'|@translate} {'between'|@translate} {$content_new_elements_between.DATE_BETWEEN_1} {'and'|@translate} {$content_new_elements_between.DATE_BETWEEN_2}.
+{'New photos were added'|@translate} {'between'|@translate} {$content_new_elements_between.DATE_BETWEEN_1} {'and'|@translate} {$content_new_elements_between.DATE_BETWEEN_2}.
 {/if}
 {if not empty($global_new_lines)}
Index: /extensions/gally/gally-default/template/mainpage_categories.tpl
===================================================================
--- /extensions/gally/gally-default/template/mainpage_categories.tpl	(revision 11023)
+++ /extensions/gally/gally-default/template/mainpage_categories.tpl	(revision 11024)
@@ -7,5 +7,5 @@
       <div class="illustration">
 
-          <img {if isset($cat.EXTRA_CLASS)}class="{$cat.EXTRA_CLASS}"{/if} src="{$cat.TN_SRC}" alt="{$cat.TN_ALT}" title="{$cat.NAME|@replace:'"':' '} - {'shows images at the root of this category'|@translate}">
+          <img {if isset($cat.EXTRA_CLASS)}class="{$cat.EXTRA_CLASS}"{/if} src="{$cat.TN_SRC}" alt="{$cat.TN_ALT}" title="{$cat.NAME|@replace:'"':' '} - {'display this album'|@translate}">
 
       </div>
Index: /extensions/gally/gally-default/template/menubar_categories.tpl
===================================================================
--- /extensions/gally/gally-default/template/menubar_categories.tpl	(revision 11023)
+++ /extensions/gally/gally-default/template/menubar_categories.tpl	(revision 11024)
@@ -1,10 +1,10 @@
 <dt>
   {if isset($U_START_FILTER)}
-  <a id="icon_start_filter" class="button" href="{$U_START_FILTER}" title="{'display only recently posted images'|@translate}" rel="nofollow"></a>
+  <a id="icon_start_filter" class="button" href="{$U_START_FILTER}" title="{'display only recently posted photos'|@translate}" rel="nofollow"></a>
   {/if}
   {if isset($U_STOP_FILTER)}
-  <a id="icon_stop_filter" class="button" href="{$U_STOP_FILTER}" title="{'return to the display of all images'|@translate}"></a>
+  <a id="icon_stop_filter" class="button" href="{$U_STOP_FILTER}" title="{'return to the display of all photos'|@translate}"></a>
   {/if}
-  <a href="{$block->data.U_CATEGORIES}">{'Categories'|@translate}</a>
+  <a href="{$block->data.U_CATEGORIES}">{'Albums'|@translate}</a>
 </dt>
 
@@ -37,5 +37,5 @@
   </ul>
   {/if}
-  <p class="totalImages">{$pwg->l10n_dec('%d image', '%d images', $block->data.NB_PICTURE)}</p>
+  <p class="totalImages">{$pwg->l10n_dec('%d photo', '%d photos', $block->data.NB_PICTURE)}</p>
 </dd>
 
Index: /extensions/gally/gally-default/template/menubar_identification.tpl
===================================================================
--- /extensions/gally/gally-default/template/menubar_identification.tpl	(revision 11023)
+++ /extensions/gally/gally-default/template/menubar_identification.tpl	(revision 11024)
@@ -51,7 +51,7 @@
   <input class="submit" type="submit" name="login" value="{'Submit'|@translate}">
   <ul class="actions">
-    <li><a id="icon_lost_password3" class="button sTipOnBottom" href="{$U_LOST_PASSWORD}" title="{'Forgot your password?'|@translate}" rel="nofollow"><!--<img src="{$ROOT_URL}{$themeconf.icon_dir}/lost_password.png" class="button" alt="{'Forgot your password?'|@translate}">--></a></li>
+    <li><a id="icon_lost_password3" class="button sTipOnBottom" href="{$U_LOST_PASSWORD}" title="{'Forgot your password?'|@translate}" rel="nofollow"></a></li>
     {if isset($U_REGISTER)}
-    <li><a id="icon_register3" class="button sTipOnBottom" href="{$U_REGISTER}" title="{'Create a new account'|@translate}" rel="nofollow"><!-- <img src="{$ROOT_URL}{$themeconf.icon_dir}/register.png" class="button" alt="{'Register'|@translate}"/>--></a></li>
+    <li><a id="icon_register3" class="button sTipOnBottom" href="{$U_REGISTER}" title="{'Create a new account'|@translate}" rel="nofollow"></a></li>
     {/if}
   </ul>
Index: /extensions/gally/gally-default/template/menubar_tags.tpl
===================================================================
--- /extensions/gally/gally-default/template/menubar_tags.tpl	(revision 11023)
+++ /extensions/gally/gally-default/template/menubar_tags.tpl	(revision 11024)
@@ -4,8 +4,8 @@
     {foreach from=$block->data item=tag}
     <span>
-      <a href="{$tag.URL}" class="tagLevel{$tag.level} sTipOnTop" title="{'See images linked to this tag only'|@translate}">{$tag.name}</a>
+      <a href="{$tag.URL}" class="tagLevel{$tag.level} sTipOnTop" title="{'display photos linked to this tag'|@translate}">{$tag.name}</a>
       {if !empty($tag.U_ADD) }
       <a class="tagaddbutton sTipOnTop" href="{$tag.U_ADD}"
-        title="{$pwg->l10n_dec('%d element are also linked to current tags', '%d elements are also linked to current tags', $tag.counter)}"
+        title="{$pwg->l10n_dec('%d photo is also linked to current tags', '%d photos are also linked to current tags', $tag.counter)}"
         rel="nofollow">
         <img src="{$ROOT_URL}{$themeconf.icon_dir}/add_tag.png" alt="+" />
Index: /extensions/gally/gally-default/template/nbm.tpl
===================================================================
--- /extensions/gally/gally-default/template/nbm.tpl	(revision 11023)
+++ /extensions/gally/gally-default/template/nbm.tpl	(revision 11024)
@@ -4,5 +4,5 @@
   <div class="titrePage">
     <ul class="categoryActions">
-      <li><a id="icon_home" class="button" href="{$U_HOME}" title="{'Go through the gallery as a visitor'|@translate}"><!--<img src="{$themeconf.icon_dir}/home.png" class="button" alt="{'Home'|@translate}"/>--></a></li>
+      <li><a id="icon_home" class="button" href="{$U_HOME}" title="{'Home'|@translate}"></a></li>
     </ul>
     <h2>{'Notification'|@translate}</h2>
Index: /extensions/gally/gally-default/template/notification.tpl
===================================================================
--- /extensions/gally/gally-default/template/notification.tpl	(revision 11023)
+++ /extensions/gally/gally-default/template/notification.tpl	(revision 11024)
@@ -2,6 +2,6 @@
 
 {html_head}
-<link rel="alternate" type="application/rss+xml" title="{'Image only RSS feed'|@translate}" href="{$U_FEED_IMAGE_ONLY}">
-<link rel="alternate" type="application/rss+xml" title="{'Complete RSS feed (images, comments)'|@translate}" href="{$U_FEED}">
+<link rel="alternate" type="application/rss+xml" title="{'Photos only RSS feed'|@translate}" href="{$U_FEED_IMAGE_ONLY}">
+<link rel="alternate" type="application/rss+xml" title="{'Complete RSS feed (photos, comments)'|@translate}" href="{$U_FEED}">
 {/html_head}
 <div id="content" class="content">
@@ -9,5 +9,5 @@
   <div class="titrePage">
     <ul class="categoryActions">
-      <li><a id="icon_home" class="button" href="{$U_HOME}" title="{'Home'|@translate}"><!--<img src="{$themeconf.icon_dir}/home.png" class="button" alt="{'Home'|@translate}"/>--></a></li>
+      <li><a id="icon_home" class="button" href="{$U_HOME}" title="{'Home'|@translate}"></a></li>
     </ul>
     <h2>{'Notification'|@translate}</h2>
@@ -15,8 +15,8 @@
 
   <div id="content2">
-    <p>{'The RSS notification feed provides notification on news from this website : new pictures, updated categories, new comments. Use a RSS feed reader.'|@translate}</p>
+    <p>{'The RSS notification feed provides notification on news from this website : new photos, updated albums, new comments. Use a RSS feed reader.'|@translate}</p>
 
-    <p><span class="rssFeed"></span><a href="{$U_FEED_IMAGE_ONLY}">{'Image only RSS feed'|@translate}</a></p>
-    <p><span class="rssFeed"></span><a href="{$U_FEED}">{'Complete RSS feed (images, comments)'|@translate}</a></p>
+    <p><span class="rssFeed"></span><a href="{$U_FEED_IMAGE_ONLY}">{'Photos only RSS feed'|@translate}</a></p>
+    <p><span class="rssFeed"></span><a href="{$U_FEED}">{'Complete RSS feed (photos, comments)'|@translate}</a></p>
   </div>
 </div>
Index: /extensions/gally/gally-default/template/password.tpl
===================================================================
--- /extensions/gally/gally-default/template/password.tpl	(revision 11023)
+++ /extensions/gally/gally-default/template/password.tpl	(revision 11024)
@@ -5,5 +5,5 @@
   <div class="titrePage">
     <ul class="categoryActions">
-      <li><a id="icon_home" class="button" href="{$U_HOME}" title="{'Go through the gallery as a visitor'|@translate}"><!--<img src="{$themeconf.icon_dir}/home.png" class="button" alt="{'Home'|@translate}"/>--></a></li>
+      <li><a id="icon_home" class="button" href="{$U_HOME}" title="{'Home'|@translate}"></a></li>
     </ul>
     <h2>{'Password forgotten'|@translate}</h2>
Index: /extensions/gally/gally-default/template/popuphelp.tpl
===================================================================
--- /extensions/gally/gally-default/template/popuphelp.tpl	(revision 11023)
+++ /extensions/gally/gally-default/template/popuphelp.tpl	(revision 11024)
@@ -5,6 +5,5 @@
   <ul class="categoryActions">
     <li>
-      <a id="icon_exit" class="button" href="#" onclick="window.close();" title="{'Close this window'|@translate}"><!--
-        <img src="{$ROOT_URL}{$themeconf.icon_dir}/exit.png" class="button" alt="exit">-->
+      <a id="icon_exit" class="button" href="#" onclick="window.close();" title="{'Close this window'|@translate}">
       </a>
     </li>
Index: /extensions/gally/gally-default/template/profile.tpl
===================================================================
--- /extensions/gally/gally-default/template/profile.tpl	(revision 11023)
+++ /extensions/gally/gally-default/template/profile.tpl	(revision 11024)
@@ -7,5 +7,5 @@
   <div class="titrePage">
     <ul class="categoryActions">
-      <li><a id="icon_home" class="button" href="{$U_HOME}" title="{'Home'|@translate}"><!--<img src="{$ROOT_URL}{$themeconf.icon_dir}/home.png" class="button" alt="{'Home'|@translate}"/>--></a></li>
+      <li><a id="icon_home" class="button" href="{$U_HOME}" title="{'Home'|@translate}"></a></li>
     </ul>
     <h2>{'Profile'|@translate}</h2>
Index: /extensions/gally/gally-default/template/profile_content.tpl
===================================================================
--- /extensions/gally/gally-default/template/profile_content.tpl	(revision 11023)
+++ /extensions/gally/gally-default/template/profile_content.tpl	(revision 11024)
@@ -48,5 +48,5 @@
       <li>
         <div class="property">
-          <label for="nb_image_line">{'Number of images per row'|@translate}</label>
+          <label for="nb_image_line">{'Number of photos per row'|@translate}</label>
         </div>
         <input type="text" size="3" maxlength="2" name="nb_image_line" id="nb_image_line" value="{$NB_IMAGE_LINE}">
@@ -66,5 +66,5 @@
       <li>
         <div class="property">
-          <label for="language">{'Language'|@translate}</label>
+          <label for="Language">{'Language'|@translate}</label>
         </div>
         {html_options name=language options=$language_options selected=$language_selection}
@@ -72,10 +72,10 @@
       <li>
         <div class="property">
-          <label for="recent_period">{'Recent period'|@translate}</label>
+          <label for="Recent period">{'Recent period'|@translate}</label>
         </div>
         <input type="text" size="3" maxlength="2" name="recent_period" id="recent_period" value="{$RECENT_PERIOD}">
       </li>
       <li>
-        <div class="property">{'Expand all categories'|@translate}</div>
+        <div class="property">{'Expand all albums'|@translate}</div>
         {html_radios name='expand' options=$radio_options selected=$EXPAND}
       </li>
@@ -90,5 +90,5 @@
       <li>
         <div class="property">
-          <label for="maxwidth">{'Maximum width of the pictures'|@translate}</label>
+          <label for="maxwidth">{'Maximum photo width'|@translate}</label>
         </div>
         <input type="text" size="4" maxlength="4" name="maxwidth" id="maxwidth" value="{$MAXWIDTH}">
@@ -96,5 +96,5 @@
       <li>
         <div class="property">
-          <label for="maxheight">{'Maximum height of the pictures'|@translate}</label>
+          <label for="maxheight">{'Maximum photo height'|@translate}</label>
         </div>
         <input type="text" size="4" maxlength="4" name="maxheight" id="maxheight" value="{$MAXHEIGHT}">
Index: /extensions/gally/gally-default/template/register.tpl
===================================================================
--- /extensions/gally/gally-default/template/register.tpl	(revision 11023)
+++ /extensions/gally/gally-default/template/register.tpl	(revision 11024)
@@ -7,5 +7,5 @@
   <div class="titrePage">
     <ul class="categoryActions">
-      <li><a id="icon_home" class="button" href="{$U_HOME}" title="{'return to homepage'|@translate}"><!--<img src="{$ROOT_URL}{$themeconf.icon_dir}/home.png" class="button" alt="{'Home'|@translate}"/>--></a></li>
+      <li><a id="icon_home" class="button" href="{$U_HOME}" title="{'Home'|@translate}"></a></li>
     </ul>
     <h2>{'Registration'|@translate}</h2>
@@ -39,5 +39,5 @@
       <li>
         <div class="property">
-          <label for="mail_address">{'Mail address'|@translate}</label>
+          <label for="mail_address">{'Email address'|@translate}</label>
         </div>
         <input type="text" name="mail_address" id="mail_address" value="{$F_EMAIL}" size=35>
Index: /extensions/gally/gally-default/template/search.tpl
===================================================================
--- /extensions/gally/gally-default/template/search.tpl	(revision 11023)
+++ /extensions/gally/gally-default/template/search.tpl	(revision 11024)
@@ -4,6 +4,6 @@
   <div class="titrePage">
     <ul class="categoryActions">
-      <li><a id="icon_help" class="button" href="{$U_HELP}" onclick="popuphelp(this.href); return false;" title="{'Help'|@translate}" rel="nofollow"> <!-- <img src="{$ROOT_URL}{$themeconf.icon_dir}/help.png" class="button" alt="(?)"> --></a></li>
-      <li><a id="icon_home" class="button" href="{$U_HOME}" title="{'return to homepage'|@translate}" rel="home"> <!--<img src="{$ROOT_URL}{$themeconf.icon_dir}/home.png" class="button" alt="{'Home'|@translate}"/>--> </a></li>
+      <li><a id="icon_help" class="button" href="{$U_HELP}" onclick="popuphelp(this.href); return false;" title="{'Help'|@translate}" rel="nofollow"> </a></li>
+      <li><a id="icon_home" class="button" href="{$U_HOME}" title="{'Home'|@translate}" rel="home">  </a></li>
     </ul>
     <h2>{'Search'|@translate}</h2>
@@ -93,5 +93,5 @@
 <fieldset>
   <legend>{'Search Options'|@translate}</legend>
-  <label>{'Search in Categories'|@translate}<br/>
+  <label>{'Search in albums'|@translate}<br/>
     <select class="categoryList" name="cat[]" multiple="multiple" >
       {html_options options=$category_options selected=$category_options_selected}
@@ -99,5 +99,5 @@
   </label>
   <ul>
-    <li><label>{'Search in subcategories'|@translate}</label></li>
+    <li><label>{'Search in sub-albums'|@translate}</label></li>
     <li><label>
       <input type="radio" name="subcats-included" value="1" checked="checked" />{'Yes'|@translate}
Index: /extensions/gally/gally-default/template/search_rules.tpl
===================================================================
--- /extensions/gally/gally-default/template/search_rules.tpl	(revision 11023)
+++ /extensions/gally/gally-default/template/search_rules.tpl	(revision 11024)
@@ -4,6 +4,5 @@
 <ul class="categoryActions">
   <li>
-    <a id="icon_exit" class="button" href="#" onclick="window.close();" title="{'Close this window'|@translate}">
-      <!--<img src="{$ROOT_URL}{$themeconf.icon_dir}/exit.png" class="button" alt="exit">-->
+    <a id="icon_exit" class="button" href="#" onclick="window.close();" title="{'Close this window'|@translate}">      
     </a>
   </li>
@@ -26,5 +25,5 @@
   {if isset($SEARCH_TAGS_MODE) }
   <li>
-    <p>{if 'AND'==$SEARCH_TAGS_MODE}{'All tags must match'|@translate}{else}{'At least one tag must match'|@translate}{/if}</p>
+    <p>{if 'AND'==$SEARCH_TAGS_MODE}{'At least one tag must match'|@translate}{else}{'At least one tag must match'|@translate}{/if}</p>
     <ul>
       {foreach from=$search_tags item=v}
@@ -45,5 +44,5 @@
   {if isset($search_categories) }
   <li>
-    <p>{'Categories'|@translate}</p>
+    <p>{'Albums'|@translate}</p>
 
     <ul>
Index: /extensions/gally/gally-default/template/tags.tpl
===================================================================
--- /extensions/gally/gally-default/template/tags.tpl	(revision 11023)
+++ /extensions/gally/gally-default/template/tags.tpl	(revision 11024)
@@ -4,9 +4,9 @@
     <ul class="categoryActions">
 {if $display_mode == 'letters'}
-      <li><a id="icon_cloud" class="button" href="{$U_CLOUD}" title="{'show tag cloud'|@translate}"><!--<img src="{$themeconf.icon_dir}/tag_cloud.png" class="button" alt="{'cloud'|@translate}"/>--></a></li>
+      <li><a id="icon_cloud" class="button" href="{$U_CLOUD}" title="{'cloud'|@translate}"></a></li>
 {/if}
 
 {if $display_mode == 'cloud'}
-      <li><a id="icon_tag_letters" class="button" href="{$U_LETTERS}" title="{'group by letters'|@translate}"><!--<img src="{$themeconf.icon_dir}/tag_letters.png" class="button" alt="{'letters'|@translate}"/>--></a></li>
+      <li><a id="icon_tag_letters" class="button" href="{$U_LETTERS}" title="{'letters'|@translate}"></a></li>
 {/if}
 
@@ -36,5 +36,5 @@
       <tr class="tagLine">
         <td><a href="{$tag.URL}">{$tag.name}</a></td>
-        <td class="nbEntries">{$pwg->l10n_dec('%d image', '%d images', $tag.counter)}</td>
+        <td class="nbEntries">{$pwg->l10n_dec('%d photo', '%d photos', $tag.counter)}</td>
       </tr>
       {/foreach}