Index: /extensions/gally/gally-black-graphite/template/index.tpl
===================================================================
--- /extensions/gally/gally-black-graphite/template/index.tpl	(revision 11030)
+++ /extensions/gally/gally-black-graphite/template/index.tpl	(revision 11031)
@@ -23,5 +23,5 @@
         <select onchange="document.location = this.options[this.selectedIndex].value;">
           {foreach from=$image_orders item=image_order }
-          <option value="{$image_order.URL}"{if $image_order.SELECTED} selected="selected"{/if}}>{$image_order.DISPLAY}</option>
+          <option value="{$image_order.URL}"{if $image_order.SELECTED} selected="selected"{/if}>{$image_order.DISPLAY}</option>
           {/foreach}
         </select>
@@ -30,40 +30,37 @@
 
         {if isset($favorite) }
-        <li><a id="icon_delall_favorite" class="button" href="{$favorite.U_FAVORITE}" title="{'delete all images from your favorites'|@translate}">
-          <!-- <img src="{$favorite.FAVORITE_IMG}" class="button" alt="favorite" title="{'delete all images from your favorites'|@translate}">- --></a></li>
+        <li><a id="icon_delall_favorite" class="button" href="{$favorite.U_FAVORITE}" title="{'delete all photos from your favorites'|@translate}"></a></li>
         {/if}
 
         {if isset($U_CADDIE) }
-        <li><a id="icon_caddie" class="button" href="{$U_CADDIE}" title="{'add to caddie'|@translate}">
-          <!-- <img src="{$ROOT_URL}{$themeconf.icon_dir}/caddie_add.png" class="button" alt="{'caddie'|@translate}"/> --> </a></li>
+        <li><a id="icon_caddie" class="button" href="{$U_CADDIE}" title="{'caddie'|@translate}"></a></li>
         {/if}
 
         {if isset($U_EDIT) }
-        <li><a id="icon_category_edit" class="button" href="{$U_EDIT}" title="{'edit category informations'|@translate}">
-          <!-- <img src="{$ROOT_URL}{$themeconf.icon_dir}/category_edit.png" class="button" alt="{'edit'|@translate}"/> --></a></li>
+        <li><a id="icon_category_edit" class="button" href="{$U_EDIT}" title="{'edit'|@translate}"></a></li>
         {/if}
 
         {if isset($U_SEARCH_RULES) }
-        <li><a id="icon_search_rules" class="button" href="{$U_SEARCH_RULES}" style="border:none;" onclick="popuphelp(this.href); return false;" title="{'Search rules'|@translate}" rel="nofollow"><!-- <img src="{$ROOT_URL}{$themeconf.icon_dir}/search_rules.png" class="button" alt="(?)"> --></a></li>
+        <li><a id="icon_search_rules" class="button" href="{$U_SEARCH_RULES}" style="border:none;" onclick="popuphelp(this.href); return false;" title="{'Search rules'|@translate}" rel="nofollow"></a></li>
         {/if}
 
         {if isset($U_SLIDESHOW) }
-        <li><a id="icon_start_slideshow" class="button" href="{$U_SLIDESHOW}" title="{'slideshow'|@translate}" rel="nofollow"><!-- <img src="{$ROOT_URL}{$themeconf.icon_dir}/start_slideshow.png" class="button" alt="{'slideshow'|@translate}"/> --></a></li>
+        <li><a id="icon_start_slideshow" class="button" href="{$U_SLIDESHOW}" title="{'slideshow'|@translate}" rel="nofollow"></a></li>
         {/if}
 
         {if isset($U_MODE_FLAT) }
-        <li><a id="icon_flat" class="button" href="{$U_MODE_FLAT}" title="{'display all elements in all sub-categories'|@translate}" rel="nofollow"><!-- <img src="{$ROOT_URL}{$themeconf.icon_dir}/flat.png" class="button" alt="{'display all elements in all sub-categories'|@translate}"> --></a></li>
+        <li><a id="icon_flat" class="button" href="{$U_MODE_FLAT}" title="{'display all photos in all sub-albums'|@translate}" rel="nofollow"></li>
         {/if}
 
         {if isset($U_MODE_NORMAL) }
-        <li><a id="icon_normal_mode" class="button" href="{$U_MODE_NORMAL}" title="{'return to normal view mode'|@translate}"><!-- <img src="{$ROOT_URL}{$themeconf.icon_dir}/normal_mode.png" class="button" alt="{'return to normal view mode'|@translate}"> --></a></li>
+        <li><a id="icon_normal_mode" class="button" href="{$U_MODE_NORMAL}" title="{'return to normal view mode'|@translate}"></a></li>
         {/if}
 
         {if isset($U_MODE_POSTED) }
-        <li><a id="icon_calendar" class="button" href="{$U_MODE_POSTED}" title="{'display a calendar by posted date'|@translate}" rel="nofollow"><!-- <img src="{$ROOT_URL}{$themeconf.icon_dir}/calendar.png" class="button" alt="{'display a calendar by posted date'|@translate}"> --></a></li>
+        <li><a id="icon_calendar" class="button" href="{$U_MODE_POSTED}" title="{'display a calendar by posted date'|@translate}" rel="nofollow"></a></li>
         {/if}
 
         {if isset($U_MODE_CREATED) }
-        <li><a id="icon_calendar_created" class="button" href="{$U_MODE_CREATED}" title="{'display a calendar by creation date'|@translate}" rel="nofollow"><!-- <img src="{$ROOT_URL}{$themeconf.icon_dir}/calendar_created.png" class="button" alt="{'display a calendar by creation date'|@translate}"> --></a></li>
+        <li><a id="icon_calendar_created" class="button" href="{$U_MODE_CREATED}" title="{'display a calendar by creation date'|@translate}" rel="nofollow"></a></li>
         {/if}
 
@@ -103,5 +100,5 @@
 
   {if !empty($category_search_results) }
-  <div style="font-size:16px;text-align:left;margin:10px">{'Category results for'|@translate} <strong>{$QUERY_SEARCH}</strong> :
+  <div style="font-size:16px;text-align:left;margin:10px">{'Album results for'|@translate} <strong>{$QUERY_SEARCH}</strong> :
     <em><strong>
     {foreach from=$category_search_results item=res name=res_loop}
Index: /extensions/gally/gally-black-graphite/template/menubar_categories.tpl
===================================================================
--- /extensions/gally/gally-black-graphite/template/menubar_categories.tpl	(revision 11030)
+++ /extensions/gally/gally-black-graphite/template/menubar_categories.tpl	(revision 11031)
@@ -1,10 +1,10 @@
 <dt>
   {if isset($U_START_FILTER)}
-  <a id="icon_start_filter" class="button sTipOnTop" href="{$U_START_FILTER}" title="{'display only recently posted images'|@translate}" rel="nofollow"></a>
+  <a id="icon_start_filter" class="button sTipOnTop" href="{$U_START_FILTER}" title="{'display only recently posted photos'|@translate}" rel="nofollow"></a>
   {/if}
   {if isset($U_STOP_FILTER)}
-  <a id="icon_stop_filter" class="button sTipOnTop" href="{$U_STOP_FILTER}" title="{'return to the display of all images'|@translate}"></a>
+  <a id="icon_stop_filter" class="button sTipOnTop" href="{$U_STOP_FILTER}" title="{'return to the display of all photos'|@translate}"></a>
   {/if}
-  <a href="{$block->data.U_CATEGORIES}">{'Categories'|@translate}</a>
+  <a href="{$block->data.U_CATEGORIES}">{'Albums'|@translate}</a>
 </dt>
 
@@ -37,5 +37,5 @@
   </ul>
   {/if}
-  <p class="totalImages">{$pwg->l10n_dec('%d image', '%d images', $block->data.NB_PICTURE)}</p>
+  <p class="totalImages">{$pwg->l10n_dec('%d photo', '%d photos', $block->data.NB_PICTURE)}</p>
 </dd>
 
Index: /extensions/gally/gally-black-graphite/template/picture.tpl
===================================================================
--- /extensions/gally/gally-black-graphite/template/picture.tpl	(revision 11030)
+++ /extensions/gally/gally-black-graphite/template/picture.tpl	(revision 11031)
@@ -70,19 +70,19 @@
 
         {if isset($U_SLIDESHOW_START) }
-          <a id="icon_start_slideshow" class="button" href="{$U_SLIDESHOW_START}" title="{'slideshow'|@translate}" rel="nofollow"><!--<img src="{$ROOT_URL}{$themeconf.icon_dir}/start_slideshow.png" class="button" alt="{'slideshow'|@translate}">--></a>
+          <a id="icon_start_slideshow" class="button" href="{$U_SLIDESHOW_START}" title="{'Play of slideshow'|@translate}" rel="nofollow"></a>
         {/if}
         {if isset($U_SLIDESHOW_STOP) }
-          <a id="icon_stop_slideshow" class="button" href="{$U_SLIDESHOW_STOP}"  title="{'stop the slideshow'|@translate}" rel="nofollow"><!--<img src="{$ROOT_URL}{$themeconf.icon_dir}/stop_slideshow.png" class="button" alt="{'stop the slideshow'|@translate}">--></a>
+          <a id="icon_stop_slideshow" class="button" href="{$U_SLIDESHOW_STOP}" title="{'Pause of slideshow'|@translate}" rel="nofollow"></a>
         {/if}
         {if isset($U_METADATA)}
-          <a id="icon_metadata" class="button" href="{$U_METADATA}" title="{'Show file metadata'|@translate}" rel="nofollow"><!--<img src="{$ROOT_URL}{$themeconf.icon_dir}/metadata.png" class="button" alt="metadata" />--></a>
+          <a id="icon_metadata" class="button" href="{$U_METADATA}" title="{'Show file metadata'|@translate}" rel="nofollow"></a>
         {/if}
 
         {if #displayHighResIcon#=="yes" and isset($high) }
-          <a id="icon_high_res" class="button pointer" onclick="openDisplayHigh('{$high.U_HIGH}');" title="" rel="nofollow" ></a>
+          <a id="icon_high_res" class="button pointer" onclick="gallyPP.openDisplayHigh('{$high.U_HIGH}');" title="" rel="nofollow" ></a>
         {/if}
 
         {if isset($current.U_DOWNLOAD) }
-          <a id="icon_save" class="button" href="{$current.U_DOWNLOAD}" title="{'download this file'|@translate}"><!--<img src="{$ROOT_URL}{$themeconf.icon_dir}/save.png" class="button" alt="{'download'|@translate}">--></a>
+          <a id="icon_save" class="button" href="{$current.U_DOWNLOAD}" title="{'download this file'|@translate}"></a>
         {/if}
 
@@ -91,11 +91,11 @@
 
         {if isset($favorite) }
-          <a id="icon_{$favorite.FAVORITE_IMG|@regex_replace:'/(.*\/)*(del_)*(favorite)+(\.png)*/i':'$2$3'}" class="button" onclick="window.location='{$favorite.U_FAVORITE}';" title="{$favorite.FAVORITE_HINT}"><!-- <img src="{$favorite.FAVORITE_IMG}" class="button" alt="favorite" title="{$favorite.FAVORITE_HINT}"> --></a>
+          <a id="icon_{if $favorite.IS_FAVORITE}del_{/if}favorite" class="button" onclick="window.location='{$favorite.U_FAVORITE}';" title="{$favorite.FAVORITE_HINT}"></a>
         {/if}
         {if !empty($U_SET_AS_REPRESENTATIVE) }
-          <a id="icon_representative" class="button" href="{$U_SET_AS_REPRESENTATIVE}" title="{'set as category representative'|@translate}"><!-- <img src="{$ROOT_URL}{$themeconf.icon_dir}/representative.png" class="button" alt="{'representative'|@translate}"> --></a>
+          <a id="icon_representative" class="button" href="{$U_SET_AS_REPRESENTATIVE}" title="{'set as album representative'|@translate}"></a>
         {/if}
         {if isset($U_ADMIN) }
-          <a id="icon_preferences" class="button" href="{$U_ADMIN}" title="{'Modify information'|@translate}"><!-- <img src="{$ROOT_URL}{$themeconf.icon_dir}/preferences.png" class="button" alt="{'edit'|@translate}"> --></a>
+          <a id="icon_preferences" class="button" href="{$U_ADMIN}" title="{'Modify information'|@translate}"></a>
         {/if}
         {if isset($U_CADDIE) }
@@ -132,5 +132,4 @@
 
     <ul id="theTabsheets">
-
       {if $display_info_panel}
         <li class="tab" id="tabImageInfos"><a href="#imageInfos">{'Informations'|@translate}</a></li>
@@ -146,10 +145,8 @@
         <li class="tab" id="tabTheComment">
           <a href="#theComments">{$pwg->l10n_dec('%d comment', '%d comments',$COMMENT_COUNT)}</a>
-          <!-- <span class="comment_icon"><img src="{$ROOT_URL}{$themeconf.icon_dir}/comments.png" alt=""/></span> -->
         </li>
       {/if}
 
     </ul>
-
 
     <div id="theTabsBg"></div>
@@ -162,5 +159,5 @@
         <div class="imageInfosBg">&nbsp;</div>
 
-          <table class="infoTable" summary="{'Some info about this picture'|@translate}">
+          <table class="infoTable">
             <tr  class="emptyrow" style="line-height:0px;">
               <td colspan="2">&nbsp;</td>
@@ -247,5 +244,5 @@
               <tr class="emptyrow"><td colspan="8">&nbsp;</td></tr>
               <tr id="infoCats">
-                <td class="label">{'Categories'|@translate}</td>
+                <td class="label">{'Albums'|@translate}</td>
                 <td colspan="7" class="value">
                   {foreach from=$related_categories item=cat name=tag_loop}{if !$smarty.foreach.tag_loop.first},&nbsp;{/if}
@@ -283,5 +280,5 @@
                 {if isset($rating)}
                   <td class="label" colspan="5">
-                    <span id="updateRate">{if isset($rating.USER_RATE)}{'Update your rating'|@translate}{else}{'Rate this picture'|@translate}{/if}</span>
+                    <span id="updateRate">{if isset($rating.USER_RATE)}{'Update your rating'|@translate}{else}{'Rate this photo'|@translate}{/if}</span>
 
                     <form action="{$rating.F_ACTION}" method="post" id="rateForm" style="margin:0;">
@@ -312,5 +309,5 @@
           {if isset($available_permission_levels) and $display_info.privacy_level}
             <tr>
-              <td class="label">{'Privacy level'|@translate}:</td>
+              <td class="label">{'Who can see this photo?'|@translate}:</td>
               <td colspan="4" class="value">
                 <script type="text/javascript">
Index: /extensions/gally/gally-black-graphite/template/picture_content.tpl
===================================================================
--- /extensions/gally/gally-black-graphite/template/picture_content.tpl	(revision 11030)
+++ /extensions/gally/gally-black-graphite/template/picture_content.tpl	(revision 11031)
@@ -1,5 +1,5 @@
 <!-- **GBL** >PICTURE_CONTENT> -->
 
-  <div id="theImgContainer" {if isset($high) }onclick="openDisplayHigh('{$high.U_HIGH}');" class="pointer"{/if}>
+  <div id="theImgContainer" {if isset($high) }onclick="gallyPP.openDisplayHigh('{$high.U_HIGH}');" class="pointer"{/if}>
     <img id="theImg" src="{$SRC_IMG}" style="width:{$WIDTH_IMG}px;height:{$HEIGHT_IMG}px;" alt="{$ALT_IMG}">
   </div>
Index: /extensions/gally/gally-black-graphite/template/picture_nav_buttons.tpl
===================================================================
--- /extensions/gally/gally-black-graphite/template/picture_nav_buttons.tpl	(revision 11030)
+++ /extensions/gally/gally-black-graphite/template/picture_nav_buttons.tpl	(revision 11031)
@@ -19,13 +19,13 @@
 
   {if isset($slideshow.U_START_PLAY)}
-    <a id="icon_play" class="navButton" href="{$slideshow.U_START_PLAY}" title="{'Play of slideshow'|@translate}"><!-- <img src="{$ROOT_URL}{$themeconf.icon_dir}/play.png" class="button" alt="{'Play of slideshow'|@translate}"> --></a>
+    <a id="icon_play" class="navButton" href="{$slideshow.U_START_PLAY}" title="{'Play of slideshow'|@translate}"></a>
   {/if}
 
   {if isset($slideshow.U_STOP_PLAY)}
-    <a id="icon_pause" class="navButton" href="{$slideshow.U_STOP_PLAY}" title="{'Pause of slideshow'|@translate}"><!-- <img src="{$ROOT_URL}{$themeconf.icon_dir}/pause.png" class="button" alt="{'Pause of slideshow'|@translate}"> --></a>
+    <a id="icon_pause" class="navButton" href="{$slideshow.U_STOP_PLAY}" title="{'Pause of slideshow'|@translate}"></a>
   {/if}
 
   {if isset($U_UP) and !isset($slideshow)}
-    <a id="icon_up" class="navButton" href="{$U_UP}" title="{'Thumbnails'|@translate}" rel="up"><!-- <img src="{$ROOT_URL}{$themeconf.icon_dir}/up.png" class="button" alt="{'Thumbnails'|@translate}"> --></a>
+    <a id="icon_up" class="navButton" href="{$U_UP}" title="{'Thumbnails'|@translate}" rel="up"></a>
   {/if}
 
Index: /extensions/gally/gally-black-graphite/themeconf.inc.php
===================================================================
--- /extensions/gally/gally-black-graphite/themeconf.inc.php	(revision 11030)
+++ /extensions/gally/gally-black-graphite/themeconf.inc.php	(revision 11031)
@@ -2,5 +2,5 @@
 /*
 Theme Name: Gally/Black-graphite
-Version: 1.4.1
+Version: 1.4.3
 Description: simple dark-grey theme (inspired from Zaphod's theme <STRIPPED>)
 Theme URI: http://piwigo.org/ext/extension_view.php?eid=