Index: extensions/Greenpixel/icon/index.php
===================================================================
--- extensions/Greenpixel/icon/index.php	(revision 11065)
+++ extensions/Greenpixel/icon/index.php	(revision 11065)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/Greenpixel/icon/mimetypes/index.php
===================================================================
--- extensions/Greenpixel/icon/mimetypes/index.php	(revision 11065)
+++ extensions/Greenpixel/icon/mimetypes/index.php	(revision 11065)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/Greenpixel/theme.css
===================================================================
--- extensions/Greenpixel/theme.css	(revision 11065)
+++ extensions/Greenpixel/theme.css	(revision 11065)
@@ -0,0 +1,242 @@
+BODY { 
+	background:#111 url(images/bottom-left-bg.jpg) no-repeat fixed left bottom;
+	margin:0; 
+	min-height: 100%; 
+	height: 100%; 
+	padding:0; 
+}
+#the_page { 
+	background:transparent url(images/top-left-bg.jpg) no-repeat scroll left top;
+	left:0; 
+	margin:0; 
+	padding:0; 
+	position:absolute; 
+	top:0; 
+	z-index:0; 
+	width: 100%; 
+	min-width: 100%; 
+}
+#mbIdentification p, .totalImages { 
+	color:#555;
+}
+.header_msgs { 
+	background:transparent url(images/header_msgs-bg.gif) repeat scroll left top;
+	border:0; 
+	color:#0a0; 
+	font-size:24px; 
+	left:0; 
+	margin:0; 
+	padding:10px 0 6px 0; 
+	text-align:center; 
+	top:0; 
+	width:100%; 
+	z-index:99; 
+}
+.header_notes {
+	background:transparent url(images/header_msgs-bg.gif) repeat scroll left top;
+	border:0 none;
+	color:#0a0;
+	font-size:16px;
+	margin:0;
+	padding:0;
+	position:absolute;
+	top:0;
+	width:100%;
+	z-index:99;
+}
+#menubar DL { 
+	background:transparent url(images/menuBox_top.gif) no-repeat scroll left top;
+	margin:0 0 5px 40px; 
+	padding:0; 
+	width: 231px; 
+	min-width: 231px; 
+	border: 0; 
+	min-height: 32px; 
+	overflow-x: hidden;
+}
+#menubar DD { 
+	background:transparent url(images/menuBox_bottom.gif) no-repeat scroll left bottom;
+	margin:14px 0 0 0; 
+	padding:0 0 22px; 
+	width: 231px; 
+	min-width: 231px; 
+	border: 0; 
+	overflow-x: hidden;
+}
+#menubar DD P {
+  background:transparent url(images/menuBox_sides.gif) repeat-y scroll left bottom; 
+  padding: 2px 16px 0; 
+  margin: 0;
+}
+#menubar UL, #menubar #mbCategories p, #menubar .illustration  { 
+	background:transparent url(images/menuBox_sides.gif) repeat-y scroll left bottom;
+	margin:0; 
+}
+#menubar LI UL {
+  background: transparent url(images/transparent.gif);
+}
+#menubar form { 
+	background:transparent url(images/menuBox_sides.gif) repeat-y scroll left bottom; 
+	margin:0; 
+}
+#menubar DL#mbIdentification { 
+	background:transparent url(images/menuId_top.gif) no-repeat scroll left top !important;
+}
+#menubar #mbIdentification DD { 
+	background:transparent url(images/menuId_bottom.gif) no-repeat scroll left bottom; 
+}
+#menubar #mbIdentification UL, #menubar #mbIdentification p, #menubar #mbIdentification .illustration  { 
+	background:transparent url(images/menuId_sides.gif) repeat-y scroll left bottom; 
+}
+#menubar #mbIdentification form { 
+	background:transparent url(images/menuId_sides.gif) repeat-y scroll left bottom; 
+}
+#menubar #mbIdentification form  p { 
+	background:transparent none repeat-y scroll left bottom; 
+}
+.content { 
+	background:#222 url(images/fillet.gif) repeat-x scroll left top; 
+	min-height:466px; 
+}
+#menubar form { 
+	background:transparent url(images/menuBox_sides.gif) repeat-y scroll left bottom; 
+	margin:0; 
+}
+.content .thumbnailCategories li {
+	background:#222 url(images/cat_bottom-right.gif) no-repeat scroll right bottom; 
+	width:49%; 
+	margin: 0; 
+	padding:0; 
+}
+.content .thumbnailCategory { 
+	background:transparent url(images/cat_bottom-left.gif) no-repeat scroll left bottom; 
+	padding: 0 0 2px; 
+	margin:0; 
+}
+.content .thumbnailCategory div.illustration { 
+	background:transparent url(images/cat_top-left.gif) no-repeat scroll left top; 
+	padding: 0 0 0 10px; 
+	margin: 0 !important; 
+}
+.content .thumbnailCategory div.illustration a { 
+	display: block; 
+	margin: 0; 
+	padding:20px 0 0 8px; 
+}
+.content .thumbnailCategory .description { 
+	background:transparent url(images/cat_top-right.gif) no-repeat scroll right top;
+	margin: 0; 
+	padding:15px 10px 3px 0; 
+	overflow-x: hidden !important; 
+}
+.content .navigationBar {
+	color:#1fdf0f;
+}
+.errors { 
+	color:#ff3f3f; 
+	border:0; 
+	background: transparent url(icon/errors.png) no-repeat scroll right top; 
+	margin-left:125px;
+	padding:5px 0px 0pt 10pt; 
+	min-height: 48px; 
+	text-align:left; 
+	font-weight:bold; 
+}
+#menubar #menuTagCloud { 
+	background:transparent url(images/menuBox_sides.gif) repeat-y scroll left bottom;
+	margin:0; 
+	padding: 0 12px; 
+}
+.infos { 
+	color:#1fdf0f; 
+	border:0; 
+	background-color: transparent; 
+	margin-left:125px;
+	padding:5px 0px 0pt 10pt; 
+	min-height: 48px; 
+	text-align:left; 
+}
+input[type="text"], input[type="password"], input[type="button"], input[type="submit"], input[type="reset"], input[type="file"] {
+	background-color:#444; 
+	color:#ff3f3f; 
+} /* stupid Line but needed  due to inpact on other themes and deadline of Piwigo 2.0 */
+input[type="file"] {
+	background-color:#222; 
+	border: 1px solid #1fdf0f;
+}
+INPUT, select, textarea { 
+	color:#ff3f3f; 
+	background-color:#444; 
+}
+#qsearchInput:focus, input:focus, select:focus, textarea:focus, input.focus, form .focus { 
+	background-color:#444;
+	color:#ff3f3f; 
+}
+.rateButtonStarFull, .rateButtonStarEmpty {   	
+	background-image: url('icon/rating-stars.gif'); 
+}
+.thumbnails .wrap2 {
+	border: 1px solid #1fdf0f;	/* thumbnails border color and style */
+	border-radius: 4px 4px;	/* round corners with CSS3 compliant browsers */ 
+}
+.thumbnails .wrap2:hover { 
+	color:#1fdf0f;
+	background-color:#111; 
+	border:1px solid #ff3f3f;	/* thumbnails border color when mouse cursor is over it */ 
+}
+.calItem {
+	border:1px solid #1fdf0f; 
+	margin:0 5px; 
+	padding:2px 5px 0 8px;
+}
+.calItemEmpty, td.calDayCellEmpty, td.calDayCellFull {
+	border:1px solid #666;
+}
+A, .rateButton { 
+	color:#1fdf0f; 
+	border-width: 0; 
+}
+A:hover, A:active { 
+	color:#f33; 
+	border-bottom: 1px solid #ff3f2f; 
+	cursor: pointer; 
+}
+a.external { 
+	color:#ff3f2f; 
+	border:0; 
+	text-decoration: none; 
+}
+a.external:hover { 
+	color:#ff5f2f; 
+	border:0; 
+}
+a.Piwigo {
+  font-family: verdana, arial, helvetica, sans-serif !important;
+  font-size: 11px; font-weight: normal; letter-spacing: 0;
+  color : #1fdf0f; text-decoration: none; border: 0; }
+a.Piwigo:hover {
+  border-bottom: 1px solid #ff3f3f;
+}
+input[type="button"], input[type="submit"], input[type="reset"] {
+	color:#ff3f3f; 
+	background-color:#222; 
+	border-color:#ff3f3f; 
+}
+input[type="button"]:hover, input[type="submit"]:hover, input[type="reset"]:hover {
+	color:#ff3f3f; 
+	border-color:#1fdf0f; 
+}
+#addComment fieldset {
+  color: #ff3f3f;
+	border-color: #1fdf0f;
+}
+#addComment fieldset  label {
+  color: #ff3f3f;
+}
+.pwg-icon {
+  background-image: url(icon/icons_sprite.png);
+}
+ 
+A:hover .pwg-icon {
+  background-image: url(icon/icons_sprite_hover.png);
+}
Index: extensions/Greenpixel/themeconf.inc.php
===================================================================
--- extensions/Greenpixel/themeconf.inc.php	(revision 11065)
+++ extensions/Greenpixel/themeconf.inc.php	(revision 11065)
@@ -0,0 +1,16 @@
+<?php
+/*
+Theme Name: Greenpixel
+Version: 0.1
+Description: Green version of Sylvia
+Theme URI: http://piwigo.org/ext/extension_view.php?eid=546
+Author: NCS
+Author URI: http://greenpixel.ch
+*/
+$themeconf = array(
+  'name'         => 'Greenpixel',
+  'parent'        => 'Sylvia',
+  'icon_dir'      => 'themes/Greenpixel/icon',
+  'mime_icon_dir' => 'themes/Greenpixel/icon/mimetypes/',
+);
+?>