Index: extensions/Comments_Access_Manager/admin.php
===================================================================
--- extensions/Comments_Access_Manager/admin.php	(revision 11069)
+++ extensions/Comments_Access_Manager/admin.php	(revision 11070)
@@ -33,5 +33,5 @@
 // *************************************************************************
 
-	if (isset($_POST['submit']) and isset($_POST['CM_No_Comment_Anonymous']) and isset($_POST['CM_GroupComm']) and isset($_POST['CM_GroupValid']))
+	if (isset($_POST['submit']) and isset($_POST['CM_No_Comment_Anonymous']) and isset($_POST['CM_GroupComm']) and isset($_POST['CM_GroupValid1']) and isset($_POST['CM_GroupValid2']))
   {
 
@@ -41,6 +41,8 @@
       $_POST['CM_GroupComm'],
       (isset($_POST['CM_AllowComm_Group'])?$_POST['CM_AllowComm_Group']:''),
-      $_POST['CM_GroupValid'],
-      (isset($_POST['CM_ValidComm_Group'])?$_POST['CM_ValidComm_Group']:''),
+      $_POST['CM_GroupValid1'],
+      (isset($_POST['CM_ValidComm_Group1'])?$_POST['CM_ValidComm_Group1']:''),
+      $_POST['CM_GroupValid2'],
+      (isset($_POST['CM_ValidComm_Group2'])?$_POST['CM_ValidComm_Group2']:''),
       );
 
@@ -58,5 +60,6 @@
   $groups[-1] = '---------';
   $AllowComm = -1;
-  $ValidComm = -1;
+  $ValidComm1 = -1;
+  $ValidComm2 = -1;
 	
   //Check groups list in database 
@@ -82,5 +85,11 @@
     if (isset($conf_CM[5]) and $conf_CM[5] == $row['id'])
 		{
-	  	$ValidComm = $row['id'];
+	  	$ValidComm1 = $row['id'];
+		}
+
+    //configuration value for users group allowed to post comments
+    if (isset($conf_CM[7]) and $conf_CM[7] == $row['id'])
+		{
+	  	$ValidComm2 = $row['id'];
 		}
   }
@@ -96,8 +105,16 @@
   //Template initialization for validated group for comments
   $template->assign(
-    'ValidComm_Group',
+    'ValidComm_Group1',
 		array(
       'group_options'=> $groups,
-      'group_selected' => $ValidComm
+      'group_selected' => $ValidComm1
+			)
+  	);
+  //Template initialization for validated group for comments
+  $template->assign(
+    'ValidComm_Group2',
+		array(
+      'group_options'=> $groups,
+      'group_selected' => $ValidComm2
 			)
   	);
@@ -111,4 +128,5 @@
     array(
     'CM_PATH'                       => CM_PATH,
+    'CM_CFA'                        => $conf['comments_forall'],
     'CM_VERSION'                    => $conf_CM[0],
 		'CM_NO_COMMENT_ANO_TRUE'        => $conf_CM[1]=='true' ?  'checked="checked"' : '' ,
@@ -117,7 +135,10 @@
     'CM_GROUPCOMM_FALSE'            => $conf_CM[2]=='false' ?  'checked="checked"' : '' ,
     'CM_ALLOWCOMM_GROUP'            => $conf_CM[3],
-    'CM_GROUPVALID_TRUE'            => $conf_CM[4]=='true' ?  'checked="checked"' : '' ,
-    'CM_GROUPVALID_FALSE'           => $conf_CM[4]=='false' ?  'checked="checked"' : '' ,
-    'CM_VALIDCOMM_GROUP'            => $conf_CM[5],
+    'CM_GROUPVALID1_TRUE'           => $conf_CM[4]=='true' ?  'checked="checked"' : '' ,
+    'CM_GROUPVALID1_FALSE'          => $conf_CM[4]=='false' ?  'checked="checked"' : '' ,
+    'CM_VALIDCOMM1_GROUP'           => $conf_CM[5],
+    'CM_GROUPVALID2_TRUE'           => $conf_CM[6]=='true' ?  'checked="checked"' : '' ,
+    'CM_GROUPVALID2_FALSE'          => $conf_CM[6]=='false' ?  'checked="checked"' : '' ,
+    'CM_VALIDCOMM2_GROUP'           => $conf_CM[7],
     )
   );
Index: extensions/Comments_Access_Manager/changelog.txt
===================================================================
--- extensions/Comments_Access_Manager/changelog.txt	(revision 11069)
+++ extensions/Comments_Access_Manager/changelog.txt	(revision 11070)
@@ -6,3 +6,6 @@
 
 -- 2011-05-26
-      2.2.1 - Add new feature : Users in a specified group can post comments without admin validation when "Comments for all" is enabled and admin validation is enabled.
+      2.2.1 - Add new feature : Users in a specified group can post comments without admin validation when "Comments for all" is disabled and admin validation is enabled.
+
+-- 2011-05-26
+      2.2.2 - Add new feature : Users in a specified group can post comments without admin validation when "Comments for all" is enabled and admin validation is enabled.
Index: extensions/Comments_Access_Manager/include/functions.inc.php
===================================================================
--- extensions/Comments_Access_Manager/include/functions.inc.php	(revision 11069)
+++ extensions/Comments_Access_Manager/include/functions.inc.php	(revision 11070)
@@ -44,10 +44,24 @@
   $conf_CM = unserialize($conf['CommentsManager']);
 
-// Does not allow empty author name on comments for all
-  if (isset($conf_CM[1]) and $conf_CM[1] == 'true' and $comm['author'] == 'guest' and $conf['comments_forall'])
-  {
-    $comment_action = 'reject';
-
-    array_push($infos, l10n('CM_Empty Author'));
+  if ($conf['comments_forall'])
+  {
+    // Does not allow empty author name on comments for all
+    if ((isset($conf_CM[1]) and $conf_CM[1] == 'true') and $comm['author'] == 'guest')
+    {
+      $comment_action = 'reject';
+
+      array_push($infos, l10n('CM_Empty Author'));
+    }
+    elseif ((isset($conf_CM[6]) and $conf_CM[6] == 'true') and $comm['author'] != 'guest')
+    {
+      if (CM_CheckValidGroup($comm['author']) or is_admin())
+      {
+        $comment_action = 'validate'; // Comment is validated if author is not in the validated group
+      }
+      else
+      {
+        $comment_action = 'moderate'; // Comment needs moderation if author is not in the validated group
+      }
+    }
   }
 
@@ -148,7 +162,20 @@
   $conf_CM = unserialize($conf['CommentsManager']);
   
-  if (isset($conf_CM[5]) and $conf_CM[5] <> -1)
-  {
-    $query = '
+  if ($conf['comments_forall'])
+  {
+    if (isset($conf_CM[7]) and $conf_CM[7] <> -1)
+    {
+      $group_id = $conf_CM[7];
+    }
+  }
+  else
+  {
+    if (isset($conf_CM[5]) and $conf_CM[5] <> -1)
+    {
+      $group_id = $conf_CM[5];
+    }
+  }
+
+  $query = '
 SELECT u.id,
        u.username,
@@ -159,16 +186,15 @@
     ON u.id = ug.user_id
 WHERE u.username LIKE "'.$author.'"
-  AND ug.group_id = '.$conf_CM[5].'
+  AND ug.group_id = '.$group_id.'
 ;';
 
-    $count = pwg_db_num_rows(pwg_query($query));
-
-    if (is_null($count) or $count == 0)
-    {
-      return false;
-    }
-    else
-      return true;
-  }
+  $count = pwg_db_num_rows(pwg_query($query));
+
+  if (is_null($count) or $count == 0)
+  {
+    return false;
+  }
+  else
+    return true;
 }
 
Index: extensions/Comments_Access_Manager/include/upgradedb.inc.php
===================================================================
--- extensions/Comments_Access_Manager/include/upgradedb.inc.php	(revision 11069)
+++ extensions/Comments_Access_Manager/include/upgradedb.inc.php	(revision 11070)
@@ -101,3 +101,30 @@
   conf_update_param('CommentsManager', pwg_db_real_escape_string($update_conf));
 }
+
+
+/* upgrade from 2.2.1 to 2.2.2 */
+/* *************************** */
+function upgradeCM_221_222()
+{
+  global $conf;
+
+  // Upgrading options
+  $query = '
+SELECT value
+  FROM '.CONFIG_TABLE.'
+WHERE param = "CommentsManager"
+;';
+
+  $result = pwg_query($query);
+  $conf_CM = pwg_db_fetch_assoc($result);
+    
+  $Newconf_CM = unserialize($conf_CM['value']);
+  
+  $Newconf_CM[6] = 'false';
+  $Newconf_CM[7] = '-1';
+  
+  $update_conf = serialize($Newconf_CM);
+
+  conf_update_param('CommentsManager', pwg_db_real_escape_string($update_conf));
+}
 ?>
Index: extensions/Comments_Access_Manager/language/en_UK/help/plugin.lang.php
===================================================================
--- extensions/Comments_Access_Manager/language/en_UK/help/plugin.lang.php	(revision 11069)
+++ extensions/Comments_Access_Manager/language/en_UK/help/plugin.lang.php	(revision 11070)
@@ -7,9 +7,18 @@
 By default, when <b>&quot;comments for all&quot;</b> option is disabled, only registered users can post comments. With this option, you can restrict this behavior by specifying a user group. Thus, only registered users and members of this group may post comments.';
 
+
 // --------- Starting below: New or revised $lang ---- from version 2.2.1
 $lang['CM_ValidCommTitle'] = 'Allow comments without validation by an administrator';
-$lang['CM_ValidCommTitle_d'] = 'This option lets you specify a group of users whose comments will be provided without validation by the administrator when the gallery is configured to not allow comments to all and that the validation of comments by an administrator is required.
+// --------- End: New or revised $lang ---- from version 2.2.1
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.2.2
+$lang['CM_ValidCommTitle_d'] = 'This option lets you specify a group of users whose comments will be provided without validation by the administrator when the gallery is configured to <u>not allow comments to all</u> and that the validation of comments by an administrator is required.
 <br><br>
-By default, when <b>&quot;comments all&quot;</b> are off and the validation of comments is enabled, the comments of all registered users are subject to validation by an administrator before being visible on the gallery. With this option, you can allow members of a group of your choice to post comments without such prior approval is required.';
-// --------- End: New or revised $lang ---- from version 2.2.1
+By default, when <b>&quot;comments all&quot;</b> is disabled and the validation of comments is enabled, the comments of all registered users are subject to validation by an administrator before being visible on the gallery. With this option, you can allow members of a group of your choice to post comments without such prior approval is required.';
+$lang['CM_ValidComm2Title'] = 'Allow comments without validation by an administrator';
+$lang['CM_ValidComm2Title_d'] = 'This option lets you specify a group of users whose comments will be provided without validation by the administrator when the gallery is configured to <u>allow comments to all</u> and that the validation of comments by an administrator is required.
+<br><br>
+By default, when <b>&quot;comments all&quot;</b> and the validation of comments are enabled, the comments of all registered users are subject to validation by an administrator before being visible on the gallery. With this option, you can allow members of a group of your choice to post comments without such prior approval is required.';
+// --------- End: New or revised $lang ---- from version 2.2.2
 ?>
Index: extensions/Comments_Access_Manager/language/en_UK/plugin.lang.php
===================================================================
--- extensions/Comments_Access_Manager/language/en_UK/plugin.lang.php	(revision 11069)
+++ extensions/Comments_Access_Manager/language/en_UK/plugin.lang.php	(revision 11070)
@@ -19,6 +19,9 @@
 $lang['CM_Validation_For_Group'] = 'Allow comments without validation by an administrator';
 $lang['CM_ValidComm_Group'] = 'Select the group of users allowed to post comments without validation:';
-$lang['CM_CommentsForAll'] = '"Comments for all" option <b style="color:red;">enabled</b>';
-$lang['CM_CommentsForRegistered'] = '"Comments for all" option <b style="color:red;">disabled</b>';
 // --------- End: New or revised $lang ---- from version 2.2.1
+
+// --------- Starting below: New or revised $lang ---- from version 2.2.2
+$lang['CM_CommentsForAll'] = '"Comments for all" option is <b style="color:red;">enabled</b>';
+$lang['CM_CommentsForRegistered'] = '"Comments for all" option is <b style="color:red;">disabled</b>';
+// --------- End: New or revised $lang ---- from version 2.2.2
 ?>
Index: extensions/Comments_Access_Manager/language/fr_FR/help/plugin.lang.php
===================================================================
--- extensions/Comments_Access_Manager/language/fr_FR/help/plugin.lang.php	(revision 11069)
+++ extensions/Comments_Access_Manager/language/fr_FR/help/plugin.lang.php	(revision 11070)
@@ -6,10 +6,19 @@
 Par défaut, lorsque les <b>&quot;commentaires pour tous&quot;</b> sont désactivés, seuls les utilisateurs inscrits peuvent poster des commentaires. Avec cette option, vous pouvez restreindre d\'avantage ce fonctionnement en précisant un groupe d\'utilisateurs. Ainsi, seuls les utilisateurs inscrits et faisant partie de ce groupe pourront poster des commentaires.';
 
+
 // --------- Starting below: New or revised $lang ---- from version 2.2.1
 $lang['CM_commentTitle'] = 'Pseudo obligatoire pour les non-inscrits.';
 $lang['CM_ValidCommTitle'] = 'Autoriser les commentaires sans validation par un administrateur';
-$lang['CM_ValidCommTitle_d'] = 'Cette option permet de spécifier un groupe d\'utilisateurs dont les commentaires seront dispensés de validation par l\'administrateur lorsque la galerie est configurée pour ne pas autoriser les commentaires pour tous et que la validation des commentaires par un administrateur est requise.
+// --------- End: New or revised $lang ---- from version 2.2.1
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.2.2
+$lang['CM_ValidCommTitle_d'] = 'Cette option permet de spécifier un groupe d\'utilisateurs dont les commentaires seront dispensés de validation par l\'administrateur lorsque la galerie est configurée pour <u>ne pas autoriser</u> les commentaires pour tous et que la validation des commentaires par un administrateur est requise.
 <br><br>
 Par défaut, lorsque les <b>&quot;commentaires pour tous&quot;</b> sont désactivés et que la validation des commentaires est activée, les commentaires de tous les utilisateurs inscrits sont soumis à validation par un administrateur avant d\'être visibles sur la galerie. Avec cette option, vous pouvez autoriser les membres d\'un groupe de votre choix à poster des commentaires sans que cette validation préalable ne soit nécessaire.';
-// --------- End: New or revised $lang ---- from version 2.2.1
+$lang['CM_ValidComm2Title'] = 'Autoriser les commentaires sans validation par un administrateur';
+$lang['CM_ValidComm2Title_d'] = 'Cette option permet de spécifier un groupe d\'utilisateurs dont les commentaires seront dispensés de validation par l\'administrateur lorsque la galerie est configurée <u>pour autoriser</u> les commentaires pour tous et que la validation des commentaires par un administrateur est requise.
+<br><br>
+Par défaut, lorsque les <b>&quot;commentaires pour tous&quot;</b> et la validation des commentaires sont activés, les commentaires de tous les utilisateurs inscrits sont soumis à validation par un administrateur avant d\'être visibles sur la galerie. Avec cette option, vous pouvez autoriser les membres d\'un groupe de votre choix à poster des commentaires sans que cette validation préalable ne soit nécessaire.';
+// --------- End: New or revised $lang ---- from version 2.2.2
 ?>
Index: extensions/Comments_Access_Manager/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/Comments_Access_Manager/language/fr_FR/plugin.lang.php	(revision 11069)
+++ extensions/Comments_Access_Manager/language/fr_FR/plugin.lang.php	(revision 11070)
@@ -20,6 +20,10 @@
 $lang['CM_Validation_For_Group'] = 'Autoriser les commentaires sans validation par un administrateur';
 $lang['CM_ValidComm_Group'] = 'Sélectionnez le groupe d\'utilisateurs autorisé à poster des commentaires sans validation :';
-$lang['CM_CommentsForAll'] = 'Option "Commentaires pour tous" <b style="color:red;">activé</b>';
-$lang['CM_CommentsForRegistered'] = 'Option "Commentaires pour tous" <b style="color:red;">désactivé</b>';
 // --------- End: New or revised $lang ---- from version 2.2.1
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.2.2
+$lang['CM_CommentsForAll'] = 'L\'option "Commentaires pour tous" est <b style="color:red;">activée</b>';
+$lang['CM_CommentsForRegistered'] = 'L\'option "Commentaires pour tous" est <b style="color:red;">désactivée</b>';
+// --------- End: New or revised $lang ---- from version 2.2.2
 ?>
Index: extensions/Comments_Access_Manager/main.inc.php
===================================================================
--- extensions/Comments_Access_Manager/main.inc.php	(revision 11069)
+++ extensions/Comments_Access_Manager/main.inc.php	(revision 11070)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: Comments Access Manager
-Version: 2.2.1
+Version: 2.2.2
 Description: Gérer l'accès aux commentaites - Manage comments access
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=
Index: extensions/Comments_Access_Manager/maintain.inc.php
===================================================================
--- extensions/Comments_Access_Manager/maintain.inc.php	(revision 11069)
+++ extensions/Comments_Access_Manager/maintain.inc.php	(revision 11070)
@@ -56,4 +56,10 @@
       upgradeCM_220_221();
     }
+
+    // upgrade from 2.2.1 to 2.2.2
+    if (version_compare($conf_CM[0], '2.2.2') < 0)
+    {
+      upgradeCM_221_222();
+    }
   }
   
Index: extensions/Comments_Access_Manager/template/admin.tpl
===================================================================
--- extensions/Comments_Access_Manager/template/admin.tpl	(revision 11069)
+++ extensions/Comments_Access_Manager/template/admin.tpl	(revision 11070)
@@ -26,80 +26,152 @@
 
   <fieldset>
-    <fieldset>
-    <div class="FieldTitle">
-      {'CM_CommentsForAll'|@translate}
+
+  {if !$CM_CFA}
+    <div class="cm_hide">
+  {/if}
+      <fieldset>
+        <div class="FieldTitle">
+          {'CM_CommentsForAll'|@translate}
+        </div>
+
+        <br>
+
+        <ul>
+          <li>
+            <label class="cluetip" title="{'CM_commentTitle'|translate}|{'CM_commentTitle_d'|translate}">
+              {'CM_No_Anonymous_Comments'|@translate}
+            </label>
+
+          <br><br>
+
+            <input type="radio" value="false" {$CM_NO_COMMENT_ANO_FALSE} name="CM_No_Comment_Anonymous">
+              {'CM_Disable'|@translate}
+        
+          <br>
+
+            <input type="radio" value="true" {$CM_NO_COMMENT_ANO_TRUE} name="CM_No_Comment_Anonymous">
+              {'CM_Enable'|@translate}
+
+          <br><br>
+
+          </li>
+
+          <li>
+            <label class="cluetip" title="{'CM_ValidComm2Title'|translate}|{'CM_ValidComm2Title_d'|translate}">
+              {'CM_Validation_For_Group'|@translate}
+            </label>
+
+          <br><br>
+
+            <input type="radio" value="false" {$CM_GROUPVALID2_FALSE} name="CM_GroupValid2">
+              {'CM_Disable'|@translate}
+
+          <br>
+
+            <input type="radio" value="true" {$CM_GROUPVALID2_TRUE} name="CM_GroupValid2">
+              {'CM_Enable'|@translate}
+
+          <br><br>
+
+            <ul>
+              <li>
+                <label>
+                  {'CM_ValidComm_Group'|@translate}
+                </label>
+
+              <br><br>
+
+                  {html_options name="CM_ValidComm_Group2" options=$ValidComm_Group2.group_options selected=$ValidComm_Group2.group_selected}
+              </li>
+            </ul>
+
+          <br><br>
+
+          </li>
+        </ul>
+      </fieldset>
+  {if !$CM_CFA}
     </div>
-    <br>
-    <ul>
-      <li>
-        <label class="cluetip" title="{'CM_commentTitle'|translate}|{'CM_commentTitle_d'|translate}">
-          {'CM_No_Anonymous_Comments'|@translate}
-        </label>
-      <br><br>
-        <input type="radio" value="false" {$CM_NO_COMMENT_ANO_FALSE} name="CM_No_Comment_Anonymous">
-          {'CM_Disable'|@translate}
+  {/if}
+
+  {if $CM_CFA}
+    <div class="cm_hide">
+  {/if}
+      <fieldset>
+        <div class="FieldTitle">
+          {'CM_CommentsForRegistered'|@translate}
+        </div>
       <br>
-        <input type="radio" value="true" {$CM_NO_COMMENT_ANO_TRUE} name="CM_No_Comment_Anonymous">
-          {'CM_Enable'|@translate}
-      <br><br>
-      </li>
-    </ul>
-    </fieldset>
-    
-    <fieldset>
-    <div class="FieldTitle">
-      {'CM_CommentsForRegistered'|@translate}
+        <ul>
+          <li>
+            <label class="cluetip" title="{'CM_GroupCommTitle'|translate}|{'CM_GroupCommTitle_d'|translate}">
+              {'CM_Comments_For_Group'|@translate}
+            </label>
+
+            <br><br>
+
+            <input type="radio" value="false" {$CM_GROUPCOMM_FALSE} name="CM_GroupComm">
+              {'CM_Disable'|@translate}
+
+            <br>
+
+            <input type="radio" value="true" {$CM_GROUPCOMM_TRUE} name="CM_GroupComm">
+              {'CM_Enable'|@translate}
+
+            <br><br>
+
+            <ul>
+              <li>
+                <label>
+                  {'CM_AllowedComm_Group'|@translate}
+                </label>
+
+              <br><br>
+
+                  {html_options name="CM_AllowComm_Group" options=$AllowComm_Group.group_options selected=$AllowComm_Group.group_selected}
+              </li>
+            </ul>
+
+            <br><br>
+
+          </li>
+
+          <li>
+            <label class="cluetip" title="{'CM_ValidCommTitle'|translate}|{'CM_ValidCommTitle_d'|translate}">
+              {'CM_Validation_For_Group'|@translate}
+            </label>
+
+            <br><br>
+
+            <input type="radio" value="false" {$CM_GROUPVALID1_FALSE} name="CM_GroupValid1">
+              {'CM_Disable'|@translate}
+
+            <br>
+
+            <input type="radio" value="true" {$CM_GROUPVALID1_TRUE} name="CM_GroupValid1">
+              {'CM_Enable'|@translate}
+
+            <br><br>
+
+            <ul>
+              <li>
+                <label>
+                  {'CM_ValidComm_Group'|@translate}
+                </label>
+
+              <br><br>
+
+                  {html_options name="CM_ValidComm_Group1" options=$ValidComm_Group1.group_options selected=$ValidComm_Group1.group_selected}
+              </li>
+            </ul>
+
+            <br><br>
+
+          </li>
+        </ul>
+      </fieldset>
+  {if $CM_CFA}
     </div>
-    <br>
-    <ul>
-      <li>
-        <label class="cluetip" title="{'CM_GroupCommTitle'|translate}|{'CM_GroupCommTitle_d'|translate}">
-          {'CM_Comments_For_Group'|@translate}
-        </label>
-      <br><br>
-        <input type="radio" value="false" {$CM_GROUPCOMM_FALSE} name="CM_GroupComm">
-          {'CM_Disable'|@translate}
-      <br>
-        <input type="radio" value="true" {$CM_GROUPCOMM_TRUE} name="CM_GroupComm">
-          {'CM_Enable'|@translate}
-      <br><br>
-
-      <ul>
-        <li>
-          <label>
-            {'CM_AllowedComm_Group'|@translate}
-          </label>
-        <br><br>
-            {html_options name="CM_AllowComm_Group" options=$AllowComm_Group.group_options selected=$AllowComm_Group.group_selected}
-        </li>
-      </ul>
-      <br><br>
-      </li>
-
-      <li>
-        <label class="cluetip" title="{'CM_ValidCommTitle'|translate}|{'CM_ValidCommTitle_d'|translate}">
-          {'CM_Validation_For_Group'|@translate}
-        </label>
-      <br><br>
-        <input type="radio" value="false" {$CM_GROUPVALID_FALSE} name="CM_GroupValid">
-          {'CM_Disable'|@translate}
-      <br>
-        <input type="radio" value="true" {$CM_GROUPVALID_TRUE} name="CM_GroupValid">
-          {'CM_Enable'|@translate}
-      <br><br>
-
-      <ul>
-        <li>
-          <label>
-            {'CM_ValidComm_Group'|@translate}
-          </label>
-        <br><br>
-            {html_options name="CM_ValidComm_Group" options=$ValidComm_Group.group_options selected=$ValidComm_Group.group_selected}
-        </li>
-      </ul>
-      <br><br>
-      </li>
-    </ul>
-    </fieldset>
+  {/if}
   </fieldset>
 
Index: extensions/Comments_Access_Manager/template/cm.css
===================================================================
--- extensions/Comments_Access_Manager/template/cm.css	(revision 11069)
+++ extensions/Comments_Access_Manager/template/cm.css	(revision 11070)
@@ -12,2 +12,7 @@
   font-weight:bolder;
 }
+
+div.cm_hide
+{
+  display: none;
+}