Index: extensions/user_tags/MANIFEST
===================================================================
--- extensions/user_tags/MANIFEST	(revision 9284)
+++ extensions/user_tags/MANIFEST	(revision 11081)
@@ -1,65 +1,68 @@
+user_tags/js/jquery.addtags.js
 user_tags/BUGS
-user_tags/imgs/edit.png
+user_tags/include/t4u_admin_action.inc.php
+user_tags/include/t4u_config.class.php
+user_tags/include/t4u_content.class.php
+user_tags/include/constants.inc.php
+user_tags/include/default_values.inc.php
+user_tags/maintain.inc.php
 user_tags/MANIFEST
-user_tags/maintain.inc.php
-user_tags/template/add_tags.tpl
-user_tags/template/admin.tpl
-user_tags/js/jquery.addtags.js
-user_tags/js/jquery.fcbkcomplete.js
+user_tags/init.php
 user_tags/main.inc.php
-user_tags/language/fr_FR/help/readme.html
-user_tags/language/fr_FR/help/index.php
+user_tags/COPYING
+user_tags/language/es_ES/plugin.lang.php
+user_tags/language/es_ES/index.php
+user_tags/language/es_ES/description.txt
+user_tags/language/es_ES/help/index.php
+user_tags/language/es_ES/help/readme.html
+user_tags/language/en_UK/plugin.lang.php
+user_tags/language/en_UK/index.php
+user_tags/language/en_UK/description.txt
+user_tags/language/en_UK/help/index.php
+user_tags/language/en_UK/help/readme.html
+user_tags/language/de_DE/plugin.lang.php
+user_tags/language/de_DE/index.php
+user_tags/language/de_DE/description.txt
+user_tags/language/de_DE/help/index.php
+user_tags/language/de_DE/help/readme.html
+user_tags/language/lv_LV/plugin.lang.php
+user_tags/language/lv_LV/index.php
+user_tags/language/lv_LV/description.txt
+user_tags/language/lv_LV/help/index.php
+user_tags/language/lv_LV/help/readme.html
+user_tags/language/no_NO/plugin.lang.php
+user_tags/language/no_NO/index.php
+user_tags/language/no_NO/description.txt
+user_tags/language/no_NO/help/index.php
+user_tags/language/no_NO/help/readme.html
+user_tags/language/it_IT/plugin.lang.php
+user_tags/language/it_IT/index.php
+user_tags/language/it_IT/description.txt
+user_tags/language/it_IT/help/index.php
+user_tags/language/it_IT/help/readme.html
+user_tags/language/zh_CN/plugin.lang.php
+user_tags/language/zh_CN/index.php
+user_tags/language/zh_CN/description.txt
+user_tags/language/zh_CN/help/index.php
+user_tags/language/zh_CN/help/readme.html
+user_tags/language/hu_HU/plugin.lang.php
+user_tags/language/hu_HU/index.php
+user_tags/language/hu_HU/description.txt
+user_tags/language/hu_HU/help/index.php
+user_tags/language/hu_HU/help/readme.html
+user_tags/language/fr_FR/plugin.lang.php
 user_tags/language/fr_FR/index.php
 user_tags/language/fr_FR/description.txt
-user_tags/language/fr_FR/plugin.lang.php
-user_tags/language/de_DE/help/readme.html
-user_tags/language/de_DE/help/index.php
-user_tags/language/de_DE/index.php
-user_tags/language/de_DE/description.txt
-user_tags/language/de_DE/plugin.lang.php
-user_tags/language/no_NO/help/readme.html
-user_tags/language/no_NO/help/index.php
-user_tags/language/no_NO/index.php
-user_tags/language/no_NO/description.txt
-user_tags/language/no_NO/plugin.lang.php
+user_tags/language/fr_FR/help/index.php
+user_tags/language/fr_FR/help/readme.html
+user_tags/language/templates/plugin.lang.php
 user_tags/language/templates/index.php
-user_tags/language/templates/plugin.lang.php
-user_tags/language/en_UK/help/readme.html
-user_tags/language/en_UK/help/index.php
-user_tags/language/en_UK/index.php
-user_tags/language/en_UK/description.txt
-user_tags/language/en_UK/plugin.lang.php
-user_tags/language/lv_LV/help/readme.html
-user_tags/language/lv_LV/help/index.php
-user_tags/language/lv_LV/index.php
-user_tags/language/lv_LV/description.txt
-user_tags/language/lv_LV/plugin.lang.php
-user_tags/language/it_IT/help/readme.html
-user_tags/language/it_IT/help/index.php
-user_tags/language/it_IT/index.php
-user_tags/language/it_IT/description.txt
-user_tags/language/it_IT/plugin.lang.php
-user_tags/language/es_ES/help/readme.html
-user_tags/language/es_ES/help/index.php
-user_tags/language/es_ES/index.php
-user_tags/language/es_ES/description.txt
-user_tags/language/es_ES/plugin.lang.php
-user_tags/language/hu_HU/help/readme.html
-user_tags/language/hu_HU/help/index.php
-user_tags/language/hu_HU/index.php
-user_tags/language/hu_HU/description.txt
-user_tags/language/hu_HU/plugin.lang.php
+user_tags/css/admin.css
+user_tags/css/style.css
+user_tags/css/imgs/close.png
+user_tags/public.php
+user_tags/admin.php
+user_tags/imgs/edit.png
 user_tags/CHANGELOG
-user_tags/include/constants.inc.php
-user_tags/include/t4u_content.class.php
-user_tags/include/default_values.inc.php
-user_tags/include/t4u_config.class.php
-user_tags/include/t4u_admin_action.inc.php
-user_tags/admin.php
-user_tags/COPYING
-user_tags/css/style.css
-user_tags/css/admin.css
-user_tags/css/imgs/close.png
-user_tags/init.php
-user_tags/public.php
-user_tags/TODO
+user_tags/template/admin.tpl
+user_tags/template/add_tags.tpl