Index: /extensions/LLGBO2/language/pl_PL/description.txt
===================================================================
--- /extensions/LLGBO2/language/pl_PL/description.txt	(revision 11082)
+++ /extensions/LLGBO2/language/pl_PL/description.txt	(revision 11082)
@@ -0,0 +1,5 @@
+LLGBO2
+Wyświetlaj miniaturkę i dane EXIF pod przyciskiem (po najechaniu)
+-Wyświetlaj obwódkę dokoła zdjęcia
+-Dodaj nawigację na zdjęciu
+-Wyświetlaj banner tylko na pierwszej stronie i na stronach dodatkowych
Index: /extensions/LLGBO2/language/pl_PL/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/pl_PL/plugin.lang.php	(revision 11081)
+++ /extensions/LLGBO2/language/pl_PL/plugin.lang.php	(revision 11082)
@@ -30,38 +30,39 @@
 $lang['previewsamples'] = 'Wyświetlaj tą próbkę';
 $lang['llgbo_dispinshadowbox'] = 'Wyświetlaj w shadowboxie --> ';
+$lang['Step4_Title'] = 'Wyświetlaj/Ukryj nagłówek na każdej stronie';
+$lang['save'] = 'Zapisz';
+$lang['preview'] = 'Podgląd';
+$lang['llgo_tooltip_width'] = 'Szerokość wskazówki';
+$lang['llgo_tooltip_size'] = 'Szerokość obwódki wskazówki';
+$lang['llgbo_tooltip_bordercolor'] = 'Kolor obwódki wskazówki';
+$lang['llgbo_tooltip_backgroundcolor'] = 'Kolor tła wskazówki';
+$lang['llgbo_tooltip_titlecolor'] = 'Kolor tytułu wskazówki';
+$lang['llgbo_tooltip_color'] = 'Kolor tekstu wskazówki';
+$lang['llgo_global_setting'] = 'Globalne ustawienia strony Piwigo ze zdjęciem';
+$lang['llgo_frame_setting'] = 'Ustawienia ramki:';
+$lang['llgbo_title_frame_color'] = 'Kolor tytułu wyświetlonego na ramce';
+$lang['llgbo_frame_bdcolor0'] = 'Kolor 1 linii: ';
+$lang['llgbo_frame_bdcolor1'] = 'Kolor 2 linii: ';
+$lang['llgbo_frame_bdcolor2'] = 'Kolor 3 linii: ';
+$lang['llgbo_frame_bdcolor3'] = 'Kolor 4 linii: ';
+$lang['llgbo_frame_bdcolor4'] = 'Kolor 5 linii: ';
+$lang['llgbo_frame_bdcolor5'] = 'Kolor 6 linii: ';
+$lang['llgbo_frame_bdcolor6'] = 'Kolor 7 linii: ';
+$lang['llgbo_frame_bdcolor7'] = 'Kolor 8 linii: ';
+$lang['llgbo_frame_bdcolor8'] = 'Kolor 9 linii: ';
+$lang['llgbo_frame_bdcolor9'] = 'Kolor 10 linii:';
+$lang['llgbo_frame_bdcolor10'] = 'Kolor 11 linii: ';
+$lang['llgbo_frame_bdcolor11'] = 'Kolor 12 linii: ';
+$lang['llgbo_frame_bdcolor12'] = 'Kolor 13 linii: ';
+$lang['llgbo_frame_bdcolor13'] = 'Kolor 14 linii: ';
+$lang['llgbo_frame_bdcolor14'] = 'Kolor 15 linii: ';
+$lang['llgbo_frame_bdcolor15'] = 'Kolor 16 linii: ';
+$lang['llgbo_frame_bdsize'] = 'Szerokość:';
+$lang['llgbo_samples'] = 'Próbki: ';
+$lang['llgbo_M_header'] = 'Zarządzanie wyświetlaniem nagłówka';
+$lang['llgbo_header_home'] = 'Wyświetlaj nagłówek na stronie głównej';
 
-/*TODO*/
-$lang['Step4_Title'] = 'Display/hide the header of each page';
-$lang['save'] = 'Save';
-$lang['preview'] = 'Preview';
-$lang['llgo_tooltip_width'] = 'Tooltip width';
-$lang['llgo_tooltip_size'] = 'Tooltip border width';
-$lang['llgbo_tooltip_bordercolor'] = 'Tooltip border color';
-$lang['llgbo_tooltip_backgroundcolor'] = 'Tooltip background color';
-$lang['llgbo_tooltip_titlecolor'] = 'Tooltip title color';
-$lang['llgbo_tooltip_color'] = 'Tooltip text color';
-$lang['llgo_global_setting'] = 'Piwigo picture page global settings';
-$lang['llgo_frame_setting'] = 'Frame settings:';
-$lang['llgbo_title_frame_color'] = 'Color for the title displayed on frame';
-$lang['llgbo_frame_bdcolor0'] = 'Line 1 color: ';
-$lang['llgbo_frame_bdcolor1'] = 'Line 2 color: ';
-$lang['llgbo_frame_bdcolor2'] = 'Line 3 color: ';
-$lang['llgbo_frame_bdcolor3'] = 'Line 4 color: ';
-$lang['llgbo_frame_bdcolor4'] = 'Line 5 color: ';
-$lang['llgbo_frame_bdcolor5'] = 'Line 6 color: ';
-$lang['llgbo_frame_bdcolor6'] = 'Line 7 color: ';
-$lang['llgbo_frame_bdcolor7'] = 'Line 8 color: ';
-$lang['llgbo_frame_bdcolor8'] = 'Line 9 color: ';
-$lang['llgbo_frame_bdcolor9'] = 'Line 10 color:';
-$lang['llgbo_frame_bdcolor10'] = 'Line 11 color: ';
-$lang['llgbo_frame_bdcolor11'] = 'Line 12 color: ';
-$lang['llgbo_frame_bdcolor12'] = 'Line 13 color: ';
-$lang['llgbo_frame_bdcolor13'] = 'Line 14 color: ';
-$lang['llgbo_frame_bdcolor14'] = 'Line 15 color: ';
-$lang['llgbo_frame_bdcolor15'] = 'Line 16 color: ';
-$lang['llgbo_frame_bdsize'] = 'width:';
-$lang['llgbo_samples'] = 'Samples: ';
-$lang['llgbo_M_header'] = 'Header display management';
-$lang['llgbo_header_home'] = 'Display header on Home page';
+/*todo*/
+// missing translations
 $lang['llgbo_header_category'] = 'Display header on Category page';
 $lang['llgbo_header_category_filter_recent'] = 'Display header on Category page (filter by recent)';