Index: /extensions/pwgCumulus/language/nl_NL/description.txt
===================================================================
--- /extensions/pwgCumulus/language/nl_NL/description.txt	(revision 11085)
+++ /extensions/pwgCumulus/language/nl_NL/description.txt	(revision 11085)
@@ -0,0 +1,1 @@
+Voeg een geweldige tag-wolk toe.
Index: /extensions/pwgCumulus/language/nl_NL/index.php
===================================================================
--- /extensions/pwgCumulus/language/nl_NL/index.php	(revision 11085)
+++ /extensions/pwgCumulus/language/nl_NL/index.php	(revision 11085)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | pwgCumulus  - a plugin for Piwigo                                     |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2009-2010 Nicolas Roudaire        http://www.nikrou.net  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by  the Free Software Foundation                            |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA                                                     |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/pwgCumulus/language/nl_NL/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/nl_NL/plugin.lang.php	(revision 11085)
+++ /extensions/pwgCumulus/language/nl_NL/plugin.lang.php	(revision 11085)
@@ -0,0 +1,42 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | pwgCumulus  - a plugin for Piwigo                                     |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by  the Free Software Foundation                            |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA                                                     |
+// +-----------------------------------------------------------------------+
+
+$lang['Cumulus Tags Cloud Plugin'] = "Stapelwolk tag-wolk plugin";
+$lang['That plugin display tags using a flash movie that rotates them in 3D. It works like a regular tags cloud but in a more amazing and exciting way.'] = "De plugin geeft tags weer met buhulp van een flash filmpje die hem roteert in 3D. Het werkt als een normale tag-wolk, maar dan op een geweldige manier..";
+$lang['You can choose that mode for tags default display mode by adding (or changing) in the configuration file'] = "Je kan deze modus kiezen als standaard modus door het toe te voegen (of te veranderen) in het configuratie bestand.";
+$lang['Animation width and height'] = "Animatie breedte en hoogte"; 
+$lang['Width'] = "Breedte";
+$lang['Height'] = "Hoogte";
+$lang['Tags size'] = "Tag grootte";
+$lang['Coefficient'] = "Coefficient";
+$lang['Width updated'] = "Breedte geupdatet";
+$lang['Height updated'] = "Hoogte geupdatet";
+$lang['Coefficient for tags size updated'] = "Coefficient voor tag grootte geupdatet";
+$lang['Show tag cloud in cumulus mode'] = "Laat de tag zien in stapelwolk modus";
+$lang['Animation colors'] = "Animatie kleuren";
+$lang['Color 1'] = "Kleur 1";
+$lang['Color 2'] = "Kleur 2";
+$lang['Mouseover color'] = "Muis aanwijs kleur";
+$lang['Color 1 updated'] = "Kleur 1 geupdatet";
+$lang['Color 2 updated'] = "Kleur 2 geupdatet";
+$lang['Mouseover color updated'] = "Muis aanwijs kleur geupdatet";
+
+?>